// 灵活用工
import { otherHttp } from '/@/utils/http/axios'

enum Api {
    employmentList = '/employment/app/list', // 用工列表
    employmentAdd = '/employment/app/add', // 发布用工
    employmentDetails = '/employment/queryById', // 查看用工详情
    employmentEdit = '/employment/app/edit', // 编辑用工
    employmentRegister = '/employment/app/register', // 报名用工
	
	queryConditions = '/sys/region/queryConditions', // 组合条件查询市——村
	gitListByCodeDict = '/sys/dictItem/listByCode', // 查询字典
	queryByCategoryAndCode = '/sys/labelCategory/queryByCategoryAndCode', // 查询字典
	postLaborAdd = '/server/labor/add', // 新增
	getLaborAppList = '/server/labor/appList', // APP用工列表查询
	getLaborAppDetail = '/server/labor/appDetail', // APP用工详情查询
}
/**
 * @param params 请求参数
 * @description: APP灵活用工找人干活用工详情查询
 */
export function getLaborAppDetail(params = {}) {
    return otherHttp.get({
        url: Api.getLaborAppDetail,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: APP灵活用工找人干活列表查询
 */
export function getLaborAppList(params = {}) {
    return otherHttp.get({
        url: Api.getLaborAppList,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 找人干活发布 新增
 */
export function postLaborAdd(params = {}) {
    return otherHttp.post({
        url: Api.postLaborAdd,
        params,
    })
}

/**
 * @param params 查询指定分类和编码下的子类
 * @description: 找人干活发布 获取人员技能
 */
export function queryByCategoryAndCode(params = {}) {
    return otherHttp.get({
        url: Api.queryByCategoryAndCode,
        params,
		headers: {
		    'Content-Type': 'application/x-www-form-urlencoded',
		},
    })
}

/**
 * @param params 请求参数
 * @description: 找人干活发布 获取字典值
 */
export function gitListByCodeDict(params = {}) {
    return otherHttp.get({
        url: Api.gitListByCodeDict,
        params,
		headers: {
		    'Content-Type': 'application/x-www-form-urlencoded',
		},
    })
}

/**
 * @param params 请求参数
 * @description: 找人干活发布 获取到村
 */
export function queryConditions(params = {}) {
    return otherHttp.post({
        url: Api.queryConditions,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 用工列表
 */
export function employmentList(params = {}) {
    return otherHttp.get({
        url: Api.employmentList,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 发布用工
 */
export function employmentAdd(params = {}) {
    return otherHttp.post({
        url: Api.employmentAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 发布用工
 */
export function employmentDetails(params = {}) {
    return otherHttp.get({
        url: Api.employmentDetails,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 编辑用工
 */
export function employmentEdit(params = {}) {
    return otherHttp.post({
        url: Api.employmentEdit,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 报名用工
 */
export function employmentRegister(params = {}) {
    return otherHttp.post({
        url: Api.employmentRegister,
        params,
    })
}
